Skip to content

Submit a public form → creates or (portal-scoped) edits a record (anonymous). Multipart with a "payload" JSON text part when the form has an attachment field.

POST
/api/v1/public/forms/{token}
curl --request POST \
--url https://example.com/api/v1/public/forms/example \
--header 'Content-Type: application/json' \
--data '{ "values": {}, "hp": "example", "recipient": "example", "record_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
token
required
string
object
values
object
key
additional properties
hp
string
recipient
string
record_id
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/